Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class CompletionStatusHelper

    java.lang.Object
      org.omg.CORBA.CompletionStatusHelper

    public abstract class CompletionStatusHelper

extends Object

The Helper for `CompletionStatus`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/CompletionStatusHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" 03 June 1999 11:52:03 o'clock GMT+00:00

Constructor Summary
`CompletionStatusHelper()`

Method Summary
`static CompletionStatus` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, CompletionStatus that)`
`static CompletionStatus` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, CompletionStatus value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompletionStatusHelper

    public CompletionStatusHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CompletionStatus that)

### extract

    public static CompletionStatus extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static CompletionStatus read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             CompletionStatus value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.